﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Datron 1071: (90 Day) VER IEEE /5700A
DATE:                  2017-03-20 11:52:29
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       60
NUMBER OF LINES:       2057
CONFIGURATION:         Fluke 5700A
=============================================================================
#
#  Source:          Users Handbook
#                   Part Number 850040
#                   Issue 11 (OCT.1986)
#
#                   Portocal II
#                   Verify to 90 day
#                   Datron 1071
#                   Version 1.10
#                   Pre Adjustment Procedure
#
#  Compatibility:   MET/CAL 6.11A or later
#
#  Additional equipment Required:
#                   None
#
#  The procedure is intended for use with Met/Cal(r) calibration software,
#  and the terms and conditions set forth in your METCAL license apply to
#  this procedure.
#
#  Due to our policy of continuously up dating our products, this procedure
#  may contain minor differences in specification to those found in the manual
#  or other documentation. While every effort has been made to ensure that
#  this procedure is accurate, Fluke cannot be held responsible for the
#  consequences of error or omissions found within this procedure.
#
#  The copyright in this procedure is owned by Fluke Precision Measurement
#  Limited.
#
#  Registers Used
#                M[1]   = Average Readings Counter (Adjustment)
#                M[2]   = Readings to Discard   (Adjustment)
#                M[3]   = Sum of Averages   (Adjustment)
#                M[4]   = Average of Readings (Adjustment)
#                M[6]   = First Delimited Value to Identify Option 12
#                M[7]   = Second Delimited Value to Identify Option 12
#                M[10]  = Number of Readings Reqd (Adjustment)
#                M[101] = Adjustment Retry Counter
#                M[102] = Invalid Measurement Counter
#                M[103] = Units Multiplier
#                M[104] = Tolerance
#                M[105] = Tight Tolerance % Multiplier
#                M[106] = Delay Time Remain Counter
#                M[107] = Tight Limit Calculated
#                M[255] = Delay Time (s)
#                S[2]   = Range String
#                S[10]  = DCV Function Selected
#                S[11]  = ACV Function Selectied
#                S[12]  = Resistance Function Selected
#                S[13]  = DCI Function Selected
#                S[14]  = ACI Function Selected
#                S[20]  = DCV Function Option Fitted
#                S[21]  = ACV Function Option Fitted
#                S[22]  = Resistance Function Option Fitted
#                S[23]  = DCI Function Option Fitted
#                S[24]  = ACI Function Option Fitted
#                S[25]  = Message to explain that Option 12 is not supported.
#                S[32]  = Delay Time Message
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

 # Metcal Initial Setup
  1.001  IEEE         [SRQ OFF]

  1.002  ASK-                        P                            F        V
  1.003  ASK+           K

  1.004  HEAD         Personnel Safety
  1.005  DISP         [32]Dangerous voltages may be present during
  1.005  DISP         [32]this process, always check it is safe to do so
  1.005  DISP         [32]before touching any electrical connections.

  1.006  PIC          1081back
  1.007  DISP         Turn on the UUT and allow a minimum of 2 hours
  1.007  DISP         Warm Up period.
  1.008  PIC          1081_dis

# Metcal Initial Setup
  1.009  IEEE         [SRQ OFF]

# Initial UUT Setup
  1.010  IEEE         O0
  1.011  IEEE         Q1
  1.012  IEEE         T2
  1.013  IEEE         W0
  1.014  IEEE         I0
  1.015  PIC          1081in57
  1.016  IEEE         F3R6C0A2


#******************* IDENTIFY OPTIONS ******************************

  1.017  MATH         S[20]="DC Voltage (Standard)"

  1.018  HEAD         Identify Options Fitted

# AC Voltage
  1.019  IEEE         F2[D1000]
  1.020  IEEE         [SPL80]
  1.021  JMPL         ACV_No_Opt  MEM == 80
  1.022  IEEE         F2R3C1A2
  1.023  IEEE         [d10000]
  1.024  5700         1V                           500H                 S  2W
  1.025  IEEE         [d5000]
  1.026  IEEE         [TRIG][d2000]
  1.027  IEEE         [SRQ15000,192]
  1.028  IEEE         [I$]
  1.029  MATH         M[6] =  FIND(MEM2, ".", 1)
  1.030  MATH         M[7] =  FIND(MEM2, "E", 1)
  1.031  MATH         MEM= M[7] - M[6]
  1.032  5700         *                                                 S
  1.033  JMPL         ACV_12 MEM == 7
  1.034  MATH         S[21]="AC Voltage (Option 10)"
  1.035  MATH         S[25]=""
  1.036  JMPL         RES_OPT

  1.037  LABEL        ACV_12
  1.038  MATH         S[21]="AC Voltage (Option 12)"
  1.039  MATH         S[25]="THIS PROCEDURE DOES NOT SUPPORT (OPTION 12)"
  1.040  DISP         The UUT to be tested has the High Performance
  1.040  DISP         true RMS AC Converter (Option 12) fitted.
  1.040  DISP
  1.040  DISP         This procedure only supports ACV (Option 10).
  1.040  DISP
  1.040  DISP         If you wish to continue, this procedure can carry
  1.040  DISP         out the Performance Verification on DC Volts &
  1.040  DISP         Resistance only (if fitted).
  1.041  JMPL         RES_OPT

  1.042  LABEL        ACV_No_Opt
  1.043  MATH         S[25]=""
  1.044  MATH         S[21]=""

# Resistance
  1.045  LABEL        RES_OPT
  1.046  MATH         S[22]="Resistance (Option 20)"
  1.047  IEEE         F1[D1000]
  1.048  IEEE         [SPL80]
  1.049  JMPL         DCI_OPT MEM != 80
  1.050  MATH         S[22]=""

  1.051  LABEL        DCI_OPT
  1.052  MATH         S[23]="DC Current (Option 30)"
  1.053  IEEE         F5[D1000]
  1.054  IEEE         [SPL80]
  1.055  JMPL         DCI_No_Opt MEM == 80

#Lets identify whether the UUT is post or pre software 17
  1.056  LABEL        Identify
  1.057  HEAD         Identify Software
  1.058  PIC          1081i57
  1.059  MATH         S[2] = "100" ; S[3]  = "mA"
  1.060  MATH         M[103] = 1e-3  ; M[108] = 1
  1.061  IEEE         F5R5C1A0
  1.062  MMFC                                      100mA
  1.063  5700         100mA                                             S  2W
  1.064  IEEE         [d5000]
  1.065  CALL         Sub Datron 10xx Take Reading IEEE
  1.066  5700         *                                                 S
  1.067  JMPL         Pre_Software_17  MEM > 1E6
  1.068  JMPL         Post_Software_17  MEM > 70
  1.069  LABEL        Check_Connections
  1.070  DISP         Check the I+ &  I- Connections as these
  1.070  DISP         must be connected to the UUT for the software
  1.070  DISP         identification to be carried out correctly.
  1.071  JMPL         Identify

  1.072  LABEL        Post_Software_17
  1.073  JMPL         Check_Connections  MEM > 200
  1.074  MATH         S[4] = "> 17"
  1.075  JMPL         contd
  1.076  LABEL        Pre_Software_17
  1.077  MATH         S[4] = "< 17"

  1.078  LABEL        contd
  1.079  HEAD         Software Version [S4] [D2000]
  1.080  RSLT         =
  1.081  JMPL         ACI_OPT

  1.082  LABEL        DCI_No_Opt
  1.083  MATH         S[4] = "N/A"
  1.084  MATH         S[23]=""


  1.085  LABEL        ACI_OPT
  1.086  MATH         S[24]="AC Current (Option 30)"
  1.087  IEEE         F4[D1000]
  1.088  IEEE         [SPL80]
  1.089  JMPL         DISP_OPT MEM != 80
  1.090  MATH         S[24]=""

  1.091  LABEL        DISP_OPT
  1.092  DISP         1071 With Options Fitted:
  1.092  DISP         [32]                        [S21]
  1.092  DISP         [32]                        [S22]
  1.092  DISP         [32]                        [S23]
  1.092  DISP         [32]                        [S24]
  1.092  DISP         Software Version [S4]
  1.092  DISP         [32]
  1.092  DISP         [S25]


  1.093  RSLT         =1071 With Options Fitted:
  1.094  RSLT         =[32]              [S21]
  1.095  RSLT         =[32]              [S22]
  1.096  RSLT         =[32]              [S23]
  1.097  RSLT         =[32]              [S24]
  1.098  RSLT         =
  1.099  RSLT         =Software Version [S4]
  1.100  RSLT         =
  1.101  RSLT         =[S25]


#***************** FUNCTION SELECTION **********************

#Allow the operator to choose the function to run. All functions are
#preloaded they are cleared if necessary by the operator selection.
  1.102  LABEL        Begin

#Load Registers with Options Fitted
  1.103  MATH         S[10] = S[20]
  1.104  MATH         S[11] = S[21]
  1.105  MATH         S[12] = S[22]
  1.106  MATH         S[13] = S[23]
  1.107  MATH         S[14] = S[24]

  1.108  HEAD         Function Selection
  1.109  OPBR         [32] Do you wish to run the whole procedure?
  1.110  JMPL         Run_Some MEM1 ==-1
  1.111  JMPL         Finish_Selection

  1.112  LABEL        Run_Some
  1.113  OPBR         Do you want to run the [S10] Performance
  1.113  OPBR         Verification tests?
  1.114  JMPL         ACV MEM1==1
  1.115  MATH         S[10] = ""

  1.116  LABEL        ACV
  1.117  JMPL         RES CMPI ("",S[11]) == 1
  1.118  JMPL         RES CMPI ("AC Voltage (Option 12)",S[11]) == 1
  1.119  OPBR         Do you want to run the [S11]
  1.119  OPBR         Performance Verification tests?
  1.120  JMPL         RES MEM1==1
  1.121  MATH         S[11] = ""

  1.122  LABEL        RES
  1.123  JMPL         DCI CMPI ("",S[12]) == 1
  1.124  OPBR         Do you want to run the [S12]
  1.124  OPBR         Performance Verification tests?
  1.125  JMPL         DCI MEM1==1
  1.126  MATH         S[12] = ""

  1.127  LABEL        DCI
  1.128  JMPL         ACI CMPI ("",S[13]) == 1
  1.129  JMPL         NO_DCI CMPI ("AC Voltage (Option 12)",S[11]) == 1
  1.130  OPBR         Do you want to run the [S13]
  1.130  OPBR         Performance Verification tests?
  1.131  JMPL         ACI MEM1==1
  1.132  LABEL        NO_DCI
  1.133  MATH         S[13] = ""

  1.134  LABEL        ACI
  1.135  JMPL         Finish_Selection CMPI ("",S[14]) == 1
  1.136  JMPL         NO_ACI CMPI ("AC Voltage (Option 12)",S[11]) == 1
  1.137  OPBR         Do you want to run the [S14]
  1.137  OPBR         Performance Verification tests?
  1.138  JMPL         Finish_Selection  MEM1==1
  1.139  LABEL        NO_ACI
  1.140  MATH         S[14] = ""

#Display Selections Chosen
  1.141  LABEL        Finish_Selection

#Erase Option_12s Register
  1.142  JMPL         CONT_IF_10 CMPI ("AC Voltage (Option 10)",S[11]) == 1
  1.143  MATH         S[11] =""

  1.144  LABEL        CONT_IF_10
  1.145  OPBR         [32]Performance Tests Chosen:
  1.145  OPBR         [32]                 [S10]
  1.145  OPBR         [32]                 [S11]
  1.145  OPBR         [32]                 [S12]
  1.145  OPBR         [32]                 [S13]
  1.145  OPBR         [32]                 [S14]
  1.145  OPBR
  1.145  OPBR         (YES to continue/ NO to reselect)
  1.146  JMPL         Begin MEM1==-1

  1.147  5700         *                                                 S
  1.148  PIC          1081in57


#**************************** DC VOLTAGE *******************************
#***********************************************************************

  1.149  JMPL         SKIP_DCV  CMPI ("DC Voltage (Standard)",S[10]) != 1


  1.150  HEAD         {Function: DC Voltage}
  1.151  TARGET       -p

# Measurement Setup
  1.152  VSET         NTHROW = 1 NMEAS = 5


# ***************** 100 mV RANGE ****************

# Set String Registers:        Range          Units
  1.153  MATH         S[2] = "100" ; S[3]  = "mV"

# Set Numeric Register:  Units
  1.154  MATH         M[103] = 1e-3  ; M[108] = 1


# UUT Setup to 100mV Range
  1.155  RSLT         =
  1.156  RSLT         =100 mV Range
  1.157  IEEE         F3R2C1A2

# ********************* + 0 mV Output ********************************

# Setup Registers      Delay Time      Message
  1.158  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
  1.159  MATH         M[104] = 0.002

# 48xx Setup
  1.160  MMFC                                      100mV
  1.161  5700         0mV                                               S  2W
  1.162  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
  1.163  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
  1.164  MATH         M[105]  = 25
  1.165  CALL         Sub Datron 10xx Input Zero IEEE
  1.166  HEAD         [S2][S3] Range Average Reading = [M4][S3]
  1.167  IEEE         [D2000]

# Take Reading
  1.168  TARGET       -m
  1.169  CALL         Sub Datron 10xx Take Reading IEEE
  1.170  MEMCX        +0.0000mV      M104U


# ********************* +100 mV Output ********************************

# Setup Registers      Delay Time
  2.001  MATH         M[255] = 5

# Set Tolerance
  2.002  MATH         M[104] = 0.0025

# 48xx Setup
  2.003  MMFC                                      100mV
  2.004  5700         100mV                                             S  2W
  2.005  CALL         Sub Wait

# Take Reading
  2.006  TARGET       -m
  2.007  CALL         Sub Datron 10xx Take Reading IEEE
  2.008  MEMCX        100.00000mV    M104U


# ********************* -100 mV Output ********************************

# Setup Registers      Delay Time
  3.001  MATH         M[255] = 5

# Set Tolerance
  3.002  MATH         M[104] = 0.0025

# 48xx Setup
  3.003  MMFC                                      100mV
  3.004  5700         -100mV                                            S  2W
  3.005  CALL         Sub Wait

# Take Reading
  3.006  TARGET       -m
  3.007  CALL         Sub Datron 10xx Take Reading IEEE
  3.008  MEMCX        -100.00000mV   M104U


# ***************** 1V RANGE ****************

# Set String Registers:        Range          Units
  4.001  MATH         S[2] = "1" ; S[3]  = "V"

# Set Numeric Register:  Units
  4.002  MATH         M[103] = 1

# UUT Setup to 1V Range
  4.003  RSLT         =
  4.004  RSLT         =1V Range
  4.005  IEEE         F3R3C1A2

# ********************* + 0 V Output ********************************

# Setup Registers      Delay Time      Message
  4.006  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
  4.007  MATH         M[104] = 0.00002

# 48xx Setup
  4.008  MMFC                                      1V
  4.009  5700         0V                                                S  2W
  4.010  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
  4.011  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
  4.012  MATH         M[105]  = 25
  4.013  CALL         Sub Datron 10xx Input Zero IEEE
  4.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
  4.015  IEEE         [D2000]

# Take Reading
  4.016  TARGET       -m
  4.017  CALL         Sub Datron 10xx Take Reading IEEE
  4.018  MEMCX        +0.000000V     M104U

# ********************* +1 V Output ********************************

# Setup Registers      Delay Time
  5.001  MATH         M[255] = 5

# Set Tolerance
  5.002  MATH         M[104] = 0.000018

# 48xx Setup
  5.003  MMFC                                      1V
  5.004  5700         1V                                                S  2W
  5.005  CALL         Sub Wait

# Take Reading
  5.006  TARGET       -m
  5.007  CALL         Sub Datron 10xx Take Reading IEEE
  5.008  MEMCX        1.0000000V     M104U


# ********************* -1 V Output ********************************

# Setup Registers      Delay Time
  6.001  MATH         M[255] = 5

# Set Tolerance
  6.002  MATH         M[104] = 0.000018

# 48xx Setup
  6.003  MMFC                                      1V
  6.004  5700         -1V                                               S  2W
  6.005  CALL         Sub Wait

# Take Reading
  6.006  TARGET       -m
  6.007  CALL         Sub Datron 10xx Take Reading IEEE
  6.008  MEMCX        -1.0000000V    M104U


# ***************** 10V RANGE ****************

# Set String Registers:        Range          Units
  7.001  MATH         S[2] = "10" ; S[3]  = "V"

# Set Numeric Register:  Units
  7.002  MATH         M[103] = 1

# UUT Setup to 10V Range
  7.003  RSLT         =
  7.004  RSLT         =10V Range
  7.005  IEEE         F3R4C1A2

# ********************* + 0 V Output ********************************

# Setup Registers      Delay Time      Message
  7.006  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
  7.007  MATH         M[104] = 0.0002

# 48xx Setup
  7.008  MMFC                                      10V
  7.009  5700         0V                                                S  2W
  7.010  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
  7.011  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
  7.012  MATH         M[105]  = 25
  7.013  CALL         Sub Datron 10xx Input Zero IEEE
  7.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
  7.015  IEEE         [D2000]

# Take Reading
  7.016  TARGET       -m
  7.017  CALL         Sub Datron 10xx Take Reading IEEE
  7.018  MEMCX        +0.00000V      M104U

# ********************* +10 V Output ********************************

# Setup Registers      Delay Time
  8.001  MATH         M[255] = 5

# Set Tolerance
  8.002  MATH         M[104] = 0.00018

# 48xx Setup
  8.003  MMFC                                      10V
  8.004  5700         10V                                               S  2W
  8.005  CALL         Sub Wait

# Take Reading
  8.006  TARGET       -m
  8.007  CALL         Sub Datron 10xx Take Reading IEEE
  8.008  MEMCX        10.000000V     M104U


# ********************* -10 V Output ********************************

# Setup Registers      Delay Time
  9.001  MATH         M[255] = 5

# Set Tolerance
  9.002  MATH         M[104] = 0.00018

# 48xx Setup
  9.003  MMFC                                      10V
  9.004  5700         -10V                                              S  2W
  9.005  CALL         Sub Wait

# Take Reading
  9.006  TARGET       -m
  9.007  CALL         Sub Datron 10xx Take Reading IEEE
  9.008  MEMCX        -10.000000V    M104U


# ***************** 100 V RANGE ****************

# Set String Registers:        Range          Units
 10.001  MATH         S[2] = "100" ; S[3]  = "V"

# Set Numeric Register:  Units
 10.002  MATH         M[103] = 1

# UUT Setup to 100V Range
 10.003  RSLT         =
 10.004  RSLT         =100 V Range
 10.005  IEEE         F3R5C1A2


# ********************* + 0 V Output ********************************

# Setup Registers      Delay Time      Message
 10.006  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
 10.007  MATH         M[104] = 0.002

# 48xx Setup
 10.008  MMFC                                      100V
 10.009  5700         0V                                                S  2W
 10.010  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
 10.011  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
 10.012  MATH         M[105]  = 25
 10.013  CALL         Sub Datron 10xx Input Zero IEEE
 10.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 10.015  IEEE         [D2000]

# Take Reading
 10.016  TARGET       -m
 10.017  CALL         Sub Datron 10xx Take Reading IEEE
 10.018  MEMCX        +0.0000V       M104U

# ********************* +100 V Output ********************************

# Setup Registers      Delay Time
 11.001  MATH         M[255] = 5

# Set Tolerance
 11.002  MATH         M[104] = 0.0023

# 48xx Setup
 11.003  MMFC                                      100V
 11.004  5700         100V                                              S  2W
 11.005  CALL         Sub Wait

# Take Reading
 11.006  TARGET       -m
 11.007  CALL         Sub Datron 10xx Take Reading IEEE
 11.008  MEMCX        100.00000V     M104U


# ********************* -100 V Output ********************************

# Setup Registers      Delay Time
 12.001  MATH         M[255] = 5

# Set Tolerance
 12.002  MATH         M[104] = 0.0023

# 48xx Setup
 12.003  MMFC                                      100V
 12.004  5700         -100V                                             S  2W
 12.005  CALL         Sub Wait

# Take Reading
 12.006  TARGET       -m
 12.007  CALL         Sub Datron 10xx Take Reading IEEE
 12.008  MEMCX        -100.00000V    M104U



# ***************** 1000V RANGE ****************

# Set String Registers:        Range          Units
 13.001  MATH         S[2] = "1000" ; S[3]  = "V"

# Set Numeric Register:  Units
 13.002  MATH         M[103] = 1

# UUT Setup to 1000V Range
 13.003  RSLT         =
 13.004  RSLT         =1000V Range
 13.005  IEEE         F3R6C1A2

# ********************* + 0 V Output ********************************

# Setup Registers      Delay Time      Message
 13.006  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
 13.007  MATH         M[104] = 0.02

# 48xx Setup
 13.008  MMFC                                      100V
 13.009  5700         0V                                                S  2W
 13.010  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
 13.011  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
 13.012  MATH         M[105]  = 25
 13.013  CALL         Sub Datron 10xx Input Zero IEEE
 13.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 13.015  IEEE         [D2000]

# Take Reading
 13.016  TARGET       -m
 13.017  CALL         Sub Datron 10xx Take Reading IEEE
 13.018  MEMCX        +0.000V        M104U

# ********************* +1000 V Output ********************************

# Setup Registers      Delay Time
 14.001  MATH         M[255] = 5

# Set Tolerance
 14.002  MATH         M[104] = 0.023

# 48xx Setup
 14.003  MMFC                                      1000V
 14.004  5700         1000V                                             S  2W
 14.005  CALL         Sub Wait

# Take Reading
 14.006  TARGET       -m
 14.007  CALL         Sub Datron 10xx Take Reading IEEE
 14.008  MEMCX        1000.0000V     M104U


# ********************* -1000 V Output ********************************

# Setup Registers      Delay Time
 15.001  MATH         M[255] = 5

# Set Tolerance
 15.002  MATH         M[104] = 0.023

# 48xx Setup
 15.003  MMFC                                      1000V
 15.004  5700         -1000V                                            S  2W
 15.005  CALL         Sub Wait

# Take Reading
 15.006  TARGET       -m
 15.007  CALL         Sub Datron 10xx Take Reading IEEE
 15.008  MEMCX        -1000.0000V    M104U


# Rest After High Voltage
 16.001  IEEE         F3R6C0A0
# Setup Registers      Delay Time
 16.002  MATH         M[255] = 40  ; S[32] = "Rest Period"
 16.003  CALL         Sub Wait

 16.004  LABEL        SKIP_DCV
#**************************** AC VOLTAGE *******************************
#***********************************************************************
 16.005  JMPL         SKIP_ACV  CMPI ("AC Voltage (Option 10)",S[11])!= 1

 16.006  RSLT         =
 16.007  HEAD         {Function: AC Voltage}
 16.008  TARGET       -p

# Measurement Setup
 16.009  VSET         NTHROW = 1 NMEAS = 5

# ***************** 100 mV RANGE ****************

# Set String Registers:        Range          Units
 16.010  MATH         S[2] = "100" ; S[3]  = "mV"

# Set Numeric Register:  Units
 16.011  MATH         M[103] = 1e-3  ; M[108] = 1


# UUT Setup to 100mV Range
 16.012  RSLT         =
 16.013  RSLT         =100 mV Range
 16.014  IEEE         F2R2C1A0

# ********************* 100 mV @ 500Hz Output ********************************

# Setup Registers      Delay Time
 16.015  MATH         M[255] = 5    ; S[32] = "Settling Time"

# Set Tolerance
 16.016  MATH         M[104] = 0.12

# 48xx Setup
 16.017  MMFC                                      100mV
 16.018  5700         100mV                        500H                 S  2W
 16.019  CALL         Sub Wait

# Take Reading
 16.020  TARGET       -m
 16.021  CALL         Sub Datron 10xx Take Reading IEEE
 16.022  MEMCX        100.000mV      M104U         500H

# ********************* 100 mV @ 40 kHz Output *****************************

# Setup Registers      Delay Time
 17.001  MATH         M[255] = 5

# Set Tolerance
 17.002  MATH         M[104] = 0.3

# 48xx Setup
 17.003  MMFC                                      100mV
 17.004  5700         100mV                        40kH                 S  2W
 17.005  CALL         Sub Wait

# Take Reading
 17.006  TARGET       -m
 17.007  CALL         Sub Datron 10xx Take Reading IEEE
 17.008  MEMCX        100.000mV      M104U         40kH



# ***************** 1V RANGE ****************

# Set String Registers:        Range          Units
 18.001  MATH         S[2] = "1" ; S[3]  = "V"

# Set Numeric Register:  Units
 18.002  MATH         M[103] = 1

# UUT Setup to 1V Range
 18.003  RSLT         =
 18.004  RSLT         =1V Range
 18.005  IEEE         F2R3C1A0

# ********************* 1V @ 500Hz Output ********************************

# Setup Registers      Delay Time
 18.006  MATH         M[255] = 5

# Set Tolerance
 18.007  MATH         M[104] = 0.0006

# 48xx Setup
 18.008  MMFC                                      1V
 18.009  5700         1V                           500H                 S  2W
 18.010  CALL         Sub Wait

# Take Reading
 18.011  TARGET       -m
 18.012  CALL         Sub Datron 10xx Take Reading IEEE
 18.013  MEMCX        1.00000V       M104U         500H

# ********************* 1V @ 40 kHz Output ********************************

# Setup Registers      Delay Time
 19.001  MATH         M[255] = 5

# Set Tolerance
 19.002  MATH         M[104] = 0.0015

# 48xx Setup
 19.003  MMFC                                      1V
 19.004  5700         1V                           40kH                 S  2W
 19.005  CALL         Sub Wait

# Take Reading
 19.006  TARGET       -m
 19.007  CALL         Sub Datron 10xx Take Reading IEEE
 19.008  MEMCX        1.00000V       M104U         40kH



# ***************** 10V RANGE ****************

# Set String Registers:        Range          Units
 20.001  MATH         S[2] = "10" ; S[3]  = "V"

# Set Numeric Register:  Units
 20.002  MATH         M[103] = 1

# UUT Setup to 10V Range
 20.003  RSLT         =
 20.004  RSLT         =10V Range
 20.005  IEEE         F2R4C1A0

# ********************* 10V @ 500Hz Output ********************************

# Setup Registers      Delay Time
 20.006  MATH         M[255] = 5

# Set Tolerance
 20.007  MATH         M[104] = 0.006

# 48xx Setup
 20.008  MMFC                                      10V
 20.009  5700         10V                          500H                 S  2W
 20.010  CALL         Sub Wait

# Take Reading
 20.011  TARGET       -m
 20.012  CALL         Sub Datron 10xx Take Reading IEEE
 20.013  MEMCX        10.0000V       M104U         500H

# ********************* 10V @ 40kHz Output ********************************

# Setup Registers      Delay Time
 21.001  MATH         M[255] = 5

# Set Tolerance
 21.002  MATH         M[104] = 0.015

# 48xx Setup
 21.003  MMFC                                      10V
 21.004  5700         10V                          40kH                 S  2W
 21.005  CALL         Sub Wait

# Take Reading
 21.006  TARGET       -m
 21.007  CALL         Sub Datron 10xx Take Reading IEEE
 21.008  MEMCX        10.0000V       M104U         40kH



# ***************** 100 V RANGE ****************

# Set String Registers:        Range          Units
 22.001  MATH         S[2] = "100" ; S[3]  = "V"

# Set Numeric Register:  Units
 22.002  MATH         M[103] = 1

# UUT Setup to 100V Range
 22.003  RSLT         =
 22.004  RSLT         =100 V Range
 22.005  IEEE         F2R5C1A0

# ********************* 100V @ 500Hz Output ********************************

# Setup Registers      Delay Time
 22.006  MATH         M[255] = 5

# Set Tolerance
 22.007  MATH         M[104] = 0.06

# 48xx Setup
 22.008  MMFC                                      100V
 22.009  5700         100V                         500H                 S  2W
 22.010  CALL         Sub Wait

# Take Reading
 22.011  TARGET       -m
 22.012  CALL         Sub Datron 10xx Take Reading IEEE
 22.013  MEMCX        100.000V       M104U         500H

# ********************* 100V @ 40kHz Output ********************************

# Setup Registers      Delay Time
 23.001  MATH         M[255] = 5

# Set Tolerance
 23.002  MATH         M[104] = 0.15

# 48xx Setup
 23.003  MMFC                                      100V
 23.004  5700         100V                         40kH                 S  2W
 23.005  CALL         Sub Wait

# Take Reading
 23.006  TARGET       -m
 23.007  CALL         Sub Datron 10xx Take Reading IEEE
 23.008  MEMCX        100.000V       M104U         40kH



# ***************** 1000V RANGE ****************

# Set String Registers:        Range          Units
 24.001  MATH         S[2] = "1000" ; S[3]  = "V"

# Set Numeric Register:  Units
 24.002  MATH         M[103] = 1

# UUT Setup to 1000V Range
 24.003  RSLT         =
 24.004  RSLT         =1000 V Range
 24.005  IEEE         F2R6C1A0

# ********************* 1000V @ 500Hz Output ********************************

# Setup Registers      Delay Time
 24.006  MATH         M[255] = 5

# Set Tolerance
 24.007  MATH         M[104] = 1.2

# 48xx Setup
 24.008  MMFC                                      1000V
 24.009  5700         1000V                        500H                 S  2W
 24.010  CALL         Sub Wait

# Take Reading
 24.011  TARGET       -m
 24.012  CALL         Sub Datron 10xx Take Reading IEEE
 24.013  MEMCX        1000.00V       M104U         500H

# ********************* 200V @ 20kHz Output ********************************

# Setup Registers      Delay Time
 25.001  MATH         M[255] = 5

# Set Tolerance
 25.002  MATH         M[104] = 0.5

# 48xx Setup
 25.003  MMFC                                      1000V
 25.004  5700         200V                         20kH                 S  2W
 25.005  CALL         Sub Wait

# Take Reading
 25.006  TARGET       -m
 25.007  CALL         Sub Datron 10xx Take Reading IEEE
 25.008  MEMCX        200.00V        M104U         20kH


# Rest After High Voltage
 26.001  IEEE         F3R6C0A0
# Setup Registers      Delay Time
 26.002  MATH         M[255] = 40  ; S[32] = "Rest Period"
 26.003  CALL         Sub Wait

 26.004  LABEL        SKIP_ACV

#**************************** DC CURRENT *******************************
#***********************************************************************
 26.005  JMPL         SKIP_DCI  CMPI ("DC Current (Option 30)",S[13]) != 1
 26.006  JMPL         SKIP_FMT_DCI  CMPI ("> 17",S[4]) == 1
 26.007  MATH         M[108] = 1E6
 26.008  LABEL        SKIP_FMT_DCI
 26.009  PIC          1081i57
 26.010  RSLT         =
 26.011  HEAD         {Function: DC Current}
 26.012  TARGET       -p

# Measurement Setup
 26.013  VSET         NTHROW = 1 NMEAS = 5

# ***************** 100 uA RANGE ****************

# Set String Registers:        Range          Units
 26.014  MATH         S[2] = "100" ; S[3]  = "uA"

# Set Numeric Register:  Units
 26.015  MATH         M[103] = 1e-6

# UUT Setup to 100uA Range
 26.016  RSLT         =
 26.017  RSLT         =100 uA Range
 26.018  IEEE         F5R2C1A0

# ********************* + 0 uA Output ********************************

# Setup Registers      Delay Time      Message
 26.019  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 26.020  MATH         M[104] = 0.002

# 48xx Setup
 26.021  MMFC                                      100uA
 26.022  5700         0uA                                               S  2W

 26.023  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
 26.024  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
 26.025  MATH         M[105]  = 25
 26.026  CALL         Sub Datron 10xx Input Zero IEEE
 26.027  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 26.028  IEEE         [D2000]

# Take Reading
 26.029  TARGET       -m
 26.030  CALL         Sub Datron 10xx Take Reading IEEE
 26.031  MEMCX        +0.000uA       M104U


# ********************* +100 uA Output ********************************

# Setup Registers      Delay Time
 27.001  MATH         M[255] = 5

# Set Tolerance
 27.002  MATH         M[104] = 0.014

# 48xx Setup
 27.003  MMFC                                      100uA
 27.004  5700         100uA                                             S  2W
 27.005  CALL         Sub Wait

# Take Reading
 27.006  TARGET       -m
 27.007  CALL         Sub Datron 10xx Take Reading IEEE
 27.008  MEMCX        100.000uA      M104U


# ********************* -100 uA Output ********************************

# Setup Registers      Delay Time
 28.001  MATH         M[255] = 5

# Set Tolerance
 28.002  MATH         M[104] = 0.014

# 48xx Setup
 28.003  MMFC                                      100uA
 28.004  5700         -100uA                                            S  2W
 28.005  CALL         Sub Wait

# Take Reading
 28.006  TARGET       -m
 28.007  CALL         Sub Datron 10xx Take Reading IEEE
 28.008  MEMCX        -100.000uA     M104U



# ***************** 1mA RANGE ****************

# Set String Registers:        Range          Units
 29.001  MATH         S[2] = "1" ; S[3]  = "mA"

# Set Numeric Register:  Units
 29.002  MATH         M[103] = 1e-3

# UUT Setup to 1mA Range
 29.003  RSLT         =
 29.004  RSLT         =1mA Range
 29.005  IEEE         F5R3C1A0

# ********************* + 0 mA Output ********************************

# Setup Registers      Delay Time      Message
 29.006  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 29.007  MATH         M[104] = 0.00002

# 48xx Setup
 29.008  MMFC                                      1mA
 29.009  5700         0mA                                               S  2W
 29.010  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
 29.011  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
 29.012  MATH         M[105]  = 25
 29.013  CALL         Sub Datron 10xx Input Zero IEEE
 29.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 29.015  IEEE         [D2000]

# Take Reading
 29.016  TARGET       -m
 29.017  CALL         Sub Datron 10xx Take Reading IEEE
 29.018  MEMCX        +0.00000mA     M104U


# ********************* +1mA Output ********************************

# Setup Registers      Delay Time
 30.001  MATH         M[255] = 5

# Set Tolerance
 30.002  MATH         M[104] = 0.00014

# 48xx Setup
 30.003  MMFC                                      1mA
 30.004  5700         1mA                                               S  2W
 30.005  CALL         Sub Wait


# Take Reading
 30.006  TARGET       -m
 30.007  CALL         Sub Datron 10xx Take Reading IEEE
 30.008  MEMCX        1.00000mA      M104U


# ********************* -1mA Output ********************************

# Setup Registers      Delay Time
 31.001  MATH         M[255] = 5

# Set Tolerance
 31.002  MATH         M[104] = 0.00014

# 48xx Setup
 31.003  MMFC                                      1mA
 31.004  5700         -1mA                                              S  2W
 31.005  CALL         Sub Wait

# Take Reading
 31.006  TARGET       -m
 31.007  CALL         Sub Datron 10xx Take Reading IEEE
 31.008  MEMCX        -1.00000mA     M104U


# ***************** 10mA RANGE ****************

# Set String Registers:        Range          Units
 32.001  MATH         S[2] = "10" ; S[3]  = "mA"

# Set Numeric Register:  Units
 32.002  MATH         M[103] = 1e-3

# UUT Setup to 10mA Range
 32.003  RSLT         =
 32.004  RSLT         =10 mA Range
 32.005  IEEE         F5R4C1A0

# ********************* + 0 mA Output ********************************

# Setup Registers      Delay Time      Message
 32.006  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 32.007  MATH         M[104] = 0.0002

# 48xx Setup
 32.008  MMFC                                      10mA
 32.009  5700         0mA                                               S  2W
 32.010  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
 32.011  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
 32.012  MATH         M[105]  = 25
 32.013  CALL         Sub Datron 10xx Input Zero IEEE
 32.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 32.015  IEEE         [D2000]

# Take Reading
 32.016  TARGET       -m
 32.017  CALL         Sub Datron 10xx Take Reading IEEE
 32.018  MEMCX        +0.0000mA      M104U


# ********************* +10mA Output ********************************

# Setup Registers      Delay Time
 33.001  MATH         M[255] = 5

# Set Tolerance
 33.002  MATH         M[104] = 0.0014

# 48xx Setup
 33.003  MMFC                                      10mA
 33.004  5700         10mA                                              S  2W
 33.005  CALL         Sub Wait

# Take Reading
 33.006  TARGET       -m
 33.007  CALL         Sub Datron 10xx Take Reading IEEE
 33.008  MEMCX        10.0000mA      M104U


# ********************* -10mA Output ********************************

# Setup Registers      Delay Time
 34.001  MATH         M[255] = 5

# Set Tolerance
 34.002  MATH         M[104] = 0.0014

# 48xx Setup
 34.003  MMFC                                      10mA
 34.004  5700         -10mA                                             S  2W
 34.005  CALL         Sub Wait

# Take Reading
 34.006  TARGET       -m
 34.007  CALL         Sub Datron 10xx Take Reading IEEE
 34.008  MEMCX        -10.0000mA     M104U


# ***************** 100 mA RANGE ****************

# Set String Registers:        Range          Units
 35.001  MATH         S[2] = "100" ; S[3]  = "mA"

# Set Numeric Register:  Units
 35.002  MATH         M[103] = 1e-3

# UUT Setup to 100uA Range
 35.003  RSLT         =
 35.004  RSLT         =100 mA Range
 35.005  IEEE         F5R5C1A0

# ********************* + 0 mA Output ********************************

# Setup Registers      Delay Time      Message
 35.006  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 35.007  MATH         M[104] = 0.002

# 48xx Setup
 35.008  MMFC                                      100mA
 35.009  5700         0mA                                               S  2W
 35.010  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
 35.011  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
 35.012  MATH         M[105]  = 25
 35.013  CALL         Sub Datron 10xx Input Zero IEEE
 35.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 35.015  IEEE         [D2000]

# Take Reading
 35.016  TARGET       -m
 35.017  CALL         Sub Datron 10xx Take Reading IEEE
 35.018  MEMCX        +0.000mA       M104U


# ********************* +100mA Output ********************************

# Setup Registers      Delay Time
 36.001  MATH         M[255] = 10

# Set Tolerance
 36.002  MATH         M[104] = 0.014

# 48xx Setup
 36.003  MMFC                                      100mA
 36.004  5700         100mA                                             S  2W
 36.005  CALL         Sub Wait

# Take Reading
 36.006  TARGET       -m
 36.007  CALL         Sub Datron 10xx Take Reading IEEE
 36.008  MEMCX        100.000mA      M104U


# ********************* -100mA Output ********************************

# Setup Registers      Delay Time
 37.001  MATH         M[255] = 10

# Set Tolerance
 37.002  MATH         M[104] = 0.014

# 48xx Setup
 37.003  MMFC                                      100mA
 37.004  5700         -100mA                                            S  2W
 37.005  CALL         Sub Wait

# Take Reading
 37.006  TARGET       -m
 37.007  CALL         Sub Datron 10xx Take Reading IEEE
 37.008  MEMCX        -100.000mA     M104U


# ***************** 1000mA RANGE ****************

# Set String Registers:        Range          Units
 38.001  MATH         S[2] = "1000" ; S[3]  = "mA"

# Set Numeric Register:  Units
 38.002  MATH         M[103] = 1e-3

# UUT Setup to 1000mA Range
 38.003  RSLT         =
 38.004  RSLT         =1000 mA Range
 38.005  IEEE         F5R6C1A0

# ********************* + 0 mA Output ********************************

# Setup Registers      Delay Time      Message
 38.006  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 38.007  MATH         M[104] = 0.02

# 48xx Setup
 38.008  MMFC                                      1000mA
 38.009  5700         0mA                                               S  2W
 38.010  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
 38.011  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
 38.012  MATH         M[105]  = 25
 38.013  CALL         Sub Datron 10xx Input Zero IEEE
 38.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 38.015  IEEE         [D2000]

# Take Reading
 38.016  TARGET       -m
 38.017  CALL         Sub Datron 10xx Take Reading IEEE
 38.018  MEMCX        +0.00mA        M104U


# ********************* +1000mA Output ********************************

# Setup Registers      Delay Time
 39.001  MATH         M[255] = 15

# Set Tolerance
 39.002  MATH         M[104] = 0.24

# 48xx Setup
 39.003  MMFC                                      1000mA
 39.004  5700         1000mA                                            S  2W
 39.005  CALL         Sub Wait

# Take Reading
 39.006  TARGET       -m
 39.007  CALL         Sub Datron 10xx Take Reading IEEE
 39.008  MEMCX        1000.00mA      M104U


# ********************* -1000mA Output ********************************

# Setup Registers      Delay Time
 40.001  MATH         M[255] = 15

# Set Tolerance
 40.002  MATH         M[104] = 0.24

# 48xx Setup
 40.003  MMFC                                      1000mA
 40.004  5700         -1000mA                                           S  2W
 40.005  CALL         Sub Wait

# Take Reading
 40.006  TARGET       -m
 40.007  CALL         Sub Datron 10xx Take Reading IEEE
 40.008  MEMCX        -1000.00mA     M104U


# Rest After High Voltage
 41.001  IEEE         F3R6C0A0
# Setup Registers      Delay Time
 41.002  MATH         M[255] = 40  ; S[32] = "Rest Period"
 41.003  CALL         Sub Wait
 41.004  LABEL        SKIP_DCI


#**************************** AC CURRENT *******************************
#***********************************************************************
 41.005  JMPL         SKIP_ACI  CMPI ("AC Current (Option 30)",S[14]) != 1
 41.006  JMPL         SKIP_FMT_ACI  CMPI ("> 17",S[4]) == 1
 41.007  MATH         M[108] = 1E6
 41.008  LABEL        SKIP_FMT_ACI

 41.009  RSLT         =
 41.010  HEAD         {Function: AC Current}
 41.011  TARGET       -p

# Measurement Setup
 41.012  VSET         NTHROW = 1 NMEAS = 5
 41.013  5700         2.5e-4V                      500H                 S  2W


# ***************** 100 uA RANGE ****************

# Set String Registers:        Range          Units
 41.014  MATH         S[2] = "100" ; S[3]  = "uA"

# Set Numeric Register:  Units
 41.015  MATH         M[103] = 1e-6

# UUT Setup to 100uA Range
 41.016  RSLT         =
 41.017  RSLT         =100 uA Range
 41.018  IEEE         F4R2C1A0

# ********************* 100uA 500Hz Output ********************************

# Setup Registers      Delay Time
 41.019  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
 41.020  MATH         M[104] = 0.25

# 48xx Setup
 41.021  MMFC                                      100uA
 41.022  5700         100uA                        500H                 S  2W
 41.023  CALL         Sub Wait

# Take Reading
 41.024  TARGET       -m
 41.025  CALL         Sub Datron 10xx Take Reading IEEE
 41.026  MEMCX        100.000uA      M104U         500H


# ***************** 1 mA RANGE ****************

# Set String Registers:        Range          Units
 42.001  MATH         S[2] = "1" ; S[3]  = "mA"

# Set Numeric Register:  Units
 42.002  MATH         M[103] = 1e-3

# UUT Setup to 1mA Range
 42.003  RSLT         =
 42.004  RSLT         =1mA Range
 42.005  IEEE         F4R3C1A0

# ********************* 1mA 500Hz Output ********************************

# Setup Registers      Delay Time
 42.006  MATH         M[255] = 10

# Set Tolerance
 42.007  MATH         M[104] = 0.0025

# 48xx Setup
 42.008  MMFC                                      1mA
 42.009  5700         1mA                          500H                 S  2W
 42.010  CALL         Sub Wait

# Take Reading
 42.011  TARGET       -m
 42.012  CALL         Sub Datron 10xx Take Reading IEEE
 42.013  MEMCX        1.00000mA      M104U         500H


# ***************** 10 mA RANGE ****************

# Set String Registers:        Range          Units
 43.001  MATH         S[2] = "10" ; S[3]  = "mA"

# Set Numeric Register:  Units
 43.002  MATH         M[103] = 1e-3

# UUT Setup to 10mA Range
 43.003  RSLT         =
 43.004  RSLT         =10mA Range
 43.005  IEEE         F4R4C1A0

# ********************* 10mA 500Hz Output ********************************

# Setup Registers      Delay Time
 43.006  MATH         M[255] = 10

# Set Tolerance
 43.007  MATH         M[104] = 0.025

# 48xx Setup
 43.008  MMFC                                      10mA
 43.009  5700         10mA                         500H                 S  2W
 43.010  CALL         Sub Wait

# Take Reading
 43.011  TARGET       -m
 43.012  CALL         Sub Datron 10xx Take Reading IEEE
 43.013  MEMCX        10.0000mA      M104U         500H


# ***************** 100 mA RANGE ****************

# Set String Registers:        Range          Units
 44.001  MATH         S[2] = "100" ; S[3]  = "mA"

# Set Numeric Register:  Units
 44.002  MATH         M[103] = 1e-3

# UUT Setup to 100mA Range
 44.003  RSLT         =
 44.004  RSLT         =100mA Range
 44.005  IEEE         F4R5C1A0

# ********************* 100mA 500Hz Output ********************************

# Setup Registers      Delay Time
 44.006  MATH         M[255] = 15

# Set Tolerance
 44.007  MATH         M[104] = 0.25

# 48xx Setup
 44.008  MMFC                                      100mA
 44.009  5700         100mA                        500H                 S  2W
 44.010  CALL         Sub Wait

# Take Reading
 44.011  TARGET       -m
 44.012  CALL         Sub Datron 10xx Take Reading IEEE
 44.013  MEMCX        100.000mA      M104U         500H


# ***************** 1000 mA RANGE ****************

# Set String Registers:        Range          Units
 45.001  MATH         S[2] = "1000" ; S[3]  = "mA"

# Set Numeric Register:  Units
 45.002  MATH         M[103] = 1e-3

# UUT Setup to 1000mA Range
 45.003  RSLT         =
 45.004  RSLT         =1000mA Range
 45.005  IEEE         F4R6C1A0

# ********************* 1000mA 500Hz Output ********************************

# Setup Registers      Delay Time
 45.006  MATH         M[255] = 20

# Set Tolerance
 45.007  MATH         M[104] = 2.5

# 48xx Setup
 45.008  MMFC                                      1000mA
 45.009  5700         1000mA                       500H                 S  2W
 45.010  CALL         Sub Wait

# Take Reading
 45.011  TARGET       -m
 45.012  CALL         Sub Datron 10xx Take Reading IEEE
 45.013  MEMCX        1000.00mA      M104U         500H


# Rest After High Voltage
 46.001  IEEE         F3R6C0A0
# Setup Registers      Delay Time
 46.002  MATH         M[255] = 40  ; S[32] = "Rest Period"
 46.003  CALL         Sub Wait

 46.004  LABEL        SKIP_ACI

#**************************** RESISTANCE *******************************
#***********************************************************************
 46.005  JMPL         SKIP_RES  CMPI ("Resistance (Option 20)",S[12]) != 1
 46.006  PIC          1081in57
 46.007  RSLT         =
 46.008  HEAD         {Function: Resistance}
 46.009  TARGET       -p

# Measurement Setup
 46.010  VSET         NTHROW = 1 NMEAS = 5

# ***************** 10 Ohm RANGE ****************

# Set String Registers:        Range          Units
 46.011  MATH         S[2] = "10" ; S[3]  = "Ohm"

# Set Numeric Register:  Units
 46.012  MATH         M[103] = 1  ; M[108] = 1


# UUT Setup to 10 Ohm Range
 46.013  RSLT         =
 46.014  RSLT         =10 Ohm Range
 46.015  IEEE         F1R1C1A2

# *********************  0 Ohm Output ********************************

# Setup Registers      Delay Time      Message
 46.016  MATH         M[255] = 15  ; S[32] = "Settling Time"

# Set Tolerance
 46.017  MATH         M[104] = 0.0002

# 48xx Setup
 46.018  MMFC         *
 46.019  5700         0Z                                                S  4W
 46.020  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
 46.021  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
 46.022  MATH         M[105]  = 25
 46.023  CALL         Sub Datron 10xx Input Zero IEEE
 46.024  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 46.025  IEEE         [D2000]

# Take Reading
 46.026  TARGET       -m
 46.027  CALL         Sub Datron 10xx Take Reading IEEE
 46.028  MEMCX        +0.000Z        M104U


# ********************* 10 Ohm Output ********************************

# Setup Registers      Delay Time
 47.001  MATH         M[255] = 5

# Set Tolerance
 47.002  MATH         M[104] = 0.00038

# 48xx Setup
 47.003  5700         10Z                                               S  4W
 47.004  CALL         Sub Wait

# Take Reading
 47.005  TARGET       -m
 47.006  CALL         Sub Datron 10xx Take Reading IEEE
 47.007  MEMCX  10    Z              M104U

# ***************** 100 Ohm RANGE ****************

# Set String Registers:        Range          Units
 48.001  MATH         S[2] = "100" ; S[3]  = "Ohm"

# Set Numeric Register:  Units
 48.002  MATH         M[103] = 1

# UUT Setup to 10 Ohm Range
 48.003  RSLT         =
 48.004  RSLT         =100 Ohm Range
 48.005  IEEE         F1R2C1A2

# *********************  0 Ohm Output ********************************

# Setup Registers      Delay Time      Message
 48.006  MATH         M[255] = 15  ; S[32] = "Settling Time"

# Set Tolerance
 48.007  MATH         M[104] = 0.002

# 48xx Setup
 48.008  MMFC         *
 48.009  5700         0Z                                                S  4W
 48.010  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
 48.011  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
 48.012  MATH         M[105]  = 25
 48.013  CALL         Sub Datron 10xx Input Zero IEEE
 48.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 48.015  IEEE         [D2000]

# Take Reading
 48.016  TARGET       -m
 48.017  CALL         Sub Datron 10xx Take Reading IEEE
 48.018  MEMCX        +0.000Z        M104U



# ********************* 100Ohm Output ********************************

# Setup Registers      Delay Time
 49.001  MATH         M[255] = 5

# Set Tolerance
 49.002  MATH         M[104] = 0.0024

# 48xx Setup
 49.003  5700         100Z                                              S  4W
 49.004  CALL         Sub Wait

# Take Reading
 49.005  TARGET       -m
 49.006  CALL         Sub Datron 10xx Take Reading IEEE
 49.007  MEMCX        Z              M104U



# ***************** 1 kOhm RANGE ****************

# Set String Registers:        Range          Units
 50.001  MATH         S[2] = "1" ; S[3]  = "kOhm"

# Set Numeric Register:  Units
 50.002  MATH         M[103] = 1e3

# UUT Setup to 1 kOhm Range
 50.003  RSLT         =
 50.004  RSLT         =1 kOhm Range
 50.005  IEEE         F1R3C1A2

# *********************  0 Ohm Output ********************************

# Setup Registers      Delay Time      Message
 50.006  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 50.007  MATH         M[104] = 0.00002

# 48xx Setup
 50.008  MMFC         *
 50.009  5700         0kZ                                               S  4W
 50.010  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
 50.011  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
 50.012  MATH         M[105]  = 25
 50.013  CALL         Sub Datron 10xx Input Zero IEEE
 50.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 50.015  IEEE         [D2000]

# Take Reading
 50.016  TARGET       -m
 50.017  CALL         Sub Datron 10xx Take Reading IEEE
 50.018  MEMCX        +0.00000kZ     M104U



# ********************* 1kOhm Output ********************************

# Setup Registers      Delay Time
 51.001  MATH         M[255] = 5

# Set Tolerance
 51.002  MATH         M[104] = 0.000024

# 48xx Setup
 51.003  5700         1kZ                                               S  4W
 51.004  CALL         Sub Wait

# Take Reading
 51.005  TARGET       -m
 51.006  CALL         Sub Datron 10xx Take Reading IEEE
 51.007  MEMCX        kZ             M104U



# ***************** 10 kOhm RANGE ****************

# Set String Registers:        Range          Units
 52.001  MATH         S[2] = "10" ; S[3]  = "kOhm"

# Set Numeric Register:  Units
 52.002  MATH         M[103] = 1e3

# UUT Setup to 10 kOhm Range
 52.003  RSLT         =
 52.004  RSLT         =10 kOhm Range
 52.005  IEEE         F1R4C1A2

# *********************  0 Ohm Output ********************************

# Setup Registers      Delay Time      Message
 52.006  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 52.007  MATH         M[104] = 0.0002

# 48xx Setup
 52.008  MMFC         *
 52.009  5700         0kZ                                               S  4W
 52.010  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
 52.011  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
 52.012  MATH         M[105]  = 25
 52.013  CALL         Sub Datron 10xx Input Zero IEEE
 52.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 52.015  IEEE         [D2000]

# Take Reading
 52.016  TARGET       -m
 52.017  CALL         Sub Datron 10xx Take Reading IEEE
 52.018  MEMCX        +00.0000kZ     M104U



# ********************* 10kOhm Output ********************************

# Setup Registers      Delay Time
 53.001  MATH         M[255] = 5

# Set Tolerance
 53.002  MATH         M[104] = 0.00024

# 48xx Setup
 53.003  5700         10kZ                                              S  4W
 53.004  CALL         Sub Wait

# Take Reading
 53.005  TARGET       -m
 53.006  CALL         Sub Datron 10xx Take Reading IEEE
 53.007  MEMCX        kZ             M104U



# ***************** 100 kOhm RANGE ****************

# Set String Registers:        Range          Units
 54.001  MATH         S[2] = "100" ; S[3]  = "kOhm"

# Set Numeric Register:  Units
 54.002  MATH         M[103] = 1e3

# UUT Setup to 100 kOhm Range
 54.003  RSLT         =
 54.004  RSLT         =100 kOhm Range
 54.005  IEEE         F1R5C1A2

# *********************  0 kOhm Output ********************************

# Setup Registers      Delay Time      Message
 54.006  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 54.007  MATH         M[104] = 0.002

# 48xx Setup
 54.008  MMFC         *
 54.009  5700         0kZ                                               S  4W
 54.010  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
 54.011  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
 54.012  MATH         M[105]  = 25
 54.013  CALL         Sub Datron 10xx Input Zero IEEE
 54.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 54.015  IEEE         [D2000]

# Take Reading
 54.016  TARGET       -m
 54.017  CALL         Sub Datron 10xx Take Reading IEEE
 54.018  MEMCX        +0.000kZ       M104U



# ********************* 100kOhm Output ********************************

# Setup Registers      Delay Time
 55.001  MATH         M[255] = 5

# Set Tolerance
 55.002  MATH         M[104] = 0.0034

# 48xx Setup
 55.003  5700         100kZ                                             S  4W
 55.004  CALL         Sub Wait

# Take Reading
 55.005  TARGET       -m
 55.006  CALL         Sub Datron 10xx Take Reading IEEE
 55.007  MEMCX        kZ             M104U



# ***************** 1000 kOhm RANGE ****************

# Set String Registers:        Range          Units
 56.001  MATH         S[2] = "1000" ; S[3]  = "kOhm"

# Set Numeric Register:  Units
 56.002  MATH         M[103] = 1e3

# UUT Setup to 1000 kOhm Range
 56.003  RSLT         =
 56.004  RSLT         =1000 kOhm Range
 56.005  IEEE         F1R6C1A2

# *********************  0 Ohm Output ********************************

# Setup Registers      Delay Time      Message
 56.006  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 56.007  MATH         M[104] = 0.02

# 48xx Setup
 56.008  MMFC         *
 56.009  5700         0kZ                                               S  4W
 56.010  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
 56.011  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
 56.012  MATH         M[105]  = 25
 56.013  CALL         Sub Datron 10xx Input Zero IEEE
 56.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 56.015  IEEE         [D2000]

# Take Reading
 56.016  TARGET       -m
 56.017  CALL         Sub Datron 10xx Take Reading IEEE
 56.018  MEMCX        +0.000kZ       M104U



# ********************* 1000kOhm Output ********************************

# Setup Registers      Delay Time
 57.001  MATH         M[255] = 10

# Set Tolerance
 57.002  MATH         M[104] = 0.084

# 48xx Setup
 57.003  5700         1000kZ                                            S  4W
 57.004  CALL         Sub Wait

# Take Reading
 57.005  TARGET       -m
 57.006  CALL         Sub Datron 10xx Take Reading IEEE
 57.007  MEMCX        kZ             M104U



# ***************** 10 MOhm RANGE ****************

# Set String Registers:        Range          Units
 58.001  MATH         S[2] = "10" ; S[3]  = "MOhm"

# Set Numeric Register:  Units
 58.002  MATH         M[103] = 1e6

# UUT Setup to 10 MOhm Range
 58.003  RSLT         =
 58.004  RSLT         =10 MOhm Range
 58.005  IEEE         F1R7C1A2

# *********************  0 MOhm Output ********************************

# Setup Registers      Delay Time      Message
 58.006  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 58.007  MATH         M[104] = 0.0002

# 48xx Setup
 58.008  MMFC         *
 58.009  5700         0MZ                                               S  4W
 58.010  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
 58.011  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
 58.012  MATH         M[105]  = 25
 58.013  CALL         Sub Datron 10xx Input Zero IEEE
 58.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 58.015  IEEE         [D2000]

# Take Reading
 58.016  TARGET       -m
 58.017  CALL         Sub Datron 10xx Take Reading IEEE
 58.018  MEMCX        +0.0000MZ      M104U



# ********************* 10MOhm Output ********************************

# Setup Registers      Delay Time
 59.001  MATH         M[255] = 5

# Set Tolerance
 59.002  MATH         M[104] = 0.00244

# 48xx Setup
 59.003  5700         10MZ                                              S  4W
 59.004  CALL         Sub Wait

# Take Reading
 59.005  TARGET       -m
 59.006  CALL         Sub Datron 10xx Take Reading IEEE
 59.007  MEMCX        MZ             M104U


# Rest After High Voltage
 60.001  IEEE         F3R6C0A0
# Setup Registers      Delay Time
 60.002  MATH         M[255] = 40  ; S[32] = "Rest Period"
 60.003  CALL         Sub Wait


 60.004  LABEL        SKIP_RES
 60.005  LABEL        END
 60.006  END
